Skip to main content
`Ctrl`+`K`

# numpy.lib.npyio.DataSource.abspath

method

lib.npyio.DataSource.abspath(path)

  Return absolute path of file in the DataSource directory.

  If path is an URL, then `abspath` will return either the location the file exists locally or the location it would exist when opened using the `open` method.

  Parameters:
    path str or pathlib.Path

      Can be a local file or a remote URL.

  Returns:
    out str

      Complete path, including the DataSource destination directory.

  Notes

  The functionality is based on `os.path.abspath`.